### Method

# Gtk Widget has_visible_focus

#### Declaration [src]

    gboolean
    gtk_widget_has_visible_focus (
      GtkWidget* widget
    )

#### Description [src]

Determines if the widget should show a visible indication that it has the global input focus.

This is a convenience function that takes into account whether focus indication should currently be shown in the toplevel window of `widget`. See `gtk_window_get_focus_visible()` for more information about focus indication.

To find out if the widget has the global input focus, use `gtk_widget_has_focus()`.

#### Return value

Type: `gboolean`

True if the widget should display a “focus rectangle”.